Download it now!
Bug 132335 - Skia: Crash with starting slideshow of presentation based on template "Blue Curve"
Summary: Skia: Crash with starting slideshow of presentation based on template "Blue C...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: haveBacktrace
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-04-22 22:30 UTC by Regina Henschel
Modified: 2020-04-23 21:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
VS 2019 Call Stack (6.59 KB, text/plain)
2020-04-22 22:30 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-04-22 22:30:13 UTC
Created attachment 159829 [details]
VS 2019 Call Stack

Start LibreOffice and make sure Skia is enabled.
Select Impress and from the dialog "Select a Template" chose template "BlueCurve".
Press key F5 to start the slideshow. => Crash

I use a debug-build.
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 688a520111a2dd3ab4cb3b846b561936d8a887bf
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Vulkan; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


Message in VS 2019:
Exception thrown at 0x00007FFB684BA459 (skialo.dll) in soffice.bin: 0xC0000005: Access violation reading location 0x000000000000001C. occurred

The "Auto" window in VS shows:
+		this	0x0000000000000000 <NULL>	SkSurface *

The output of Call Stack is attached.
Comment 1 V Stuart Foote 2020-04-23 13:11:21 UTC
Do not confirm crash with non-debug build (2020-04-18) on Windows 10
Version: 7.0.0.0.alpha0+ (x64)Build ID: 96f77910e86f88c99621a8b17c09fc69f9f1d8f3CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; Locale: en-US (en_US); UI-Language: en-USCalc: threaded
Comment 2 Commit Notification 2020-04-23 13:36:55 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b764e3d10d31d3d1f99ae6127cb607af69abcb2e

avoid Skia xor crash with not-yet-drawn surface (tdf#132335)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Regina Henschel 2020-04-23 21:07:51 UTC
Works fine now in my debug-build Version: 7.0.0.0.alpha0+ (x64)
Build ID: 92b7e0fd668f580ca573284e8f36794c72ba62df
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Vulkan; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL